NAUTY-NBRHOODG(1)

NAME
nauty-nbrhoodg - extract neighbourhoods of vertices

SYNOPSIS
nbrhoodg [-lq] [-c|-C] [-d#|d#:#] [-v#|-v#:#] [infile [outfile]]

DESCRIPTION

    Extract neighbours of vertices of a graph.

    The output file has a header if and only if the input file does. No isomorph reduction is done.

-l  Canonically label outputs (default is same labelling as input)

-C  Extract closed neighbourhoods instead.

-c  Extract non-neighbourhoods instead.

-d# -d#:# Only include vertices with original degree in the given range

-v# -v#:# Only include vertices with these vertex numbers (first is 0).

    No empty graphs are output. For digraphs, out-degree and out-neighbourhoods are used.

-q  Suppress auxiliary information